package university;

public class Student {
	private String name;

	public Student(String name) {
		this.name = name;
	}
	
	@Override
	public boolean equals(Object otherStudent) {
		// kui ei ole Student tyypi, siis ei ole vordne
		if (!(otherStudent instanceof Student)) {
			return false;
		}
		// ensure Student - cast to type
		Student a = (Student) otherStudent;
		// kontrolli, kas hashCode on identne
		return (this.name.hashCode() == a.name.hashCode());
	}
	
	@Override
	public int hashCode() {
		return this.name.hashCode();
	}
}
